org.eclipse.lyo.oslc4j.core.model

## Class AbstractResource

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource

- All Implemented Interfaces:
    IExtendedResource, IResource
  Direct Known Subclasses:
    AbstractChangeLog, AllowedValues, AnyResource, Base, ChangeEvent, Compact, CreationFactory, Dialog, FilteredResource, OAuthConfiguration, Page, PrefixDefinition, Preview, Property, Publisher, QueryCapability, ResourceShape, Service, ServiceProvider, ServiceProviderCatalog, TrackedResourceSet

      public abstract class AbstractResource
      extends Object
      implements IExtendedResource

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractResource()`
    `protected` | `AbstractResource(URI about)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addType(URI type)` Adds an RDF type to this resource.
    `URI` | `getAbout()`
    `Map<QName,Object>` | `getExtendedProperties()` Gets back the list of extended properties not defined in this bean.
    `Collection<URI>` | `getTypes()` Gets the RDF types of this resource.
    `void` | `setAbout(URI about)`
    `void` | `setExtendedProperties(Map<QName,Object> properties)` Sets extended properties not defined in the bean.
    `void` | `setTypes(Collection<URI> type)` Sets the RDF types of this resource.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractResource

          protected AbstractResource(URI about)

    - #### AbstractResource

          protected AbstractResource()

  - ### Method Detail

    - #### getAbout

          public final URI getAbout()

      Specified by:
        `getAbout` in interface `IResource`

    - #### setAbout

          public final void setAbout(URI about)

      Specified by:
        `setAbout` in interface `IResource`

    - #### setExtendedProperties

          public void setExtendedProperties(Map<QName,Object> properties)

      Description copied from interface: `IExtendedResource`
      Sets extended properties not defined in the bean.
      Specified by:
        `setExtendedProperties` in interface `IExtendedResource`
      Parameters:
        `properties` - a map of properties where the key is the predicate qualified name and the value is the object of the statement. Values are collections if there are multiple statements for a predicate.

    - #### getExtendedProperties

          public Map<QName,Object> getExtendedProperties()

      Description copied from interface: `IExtendedResource`
      Gets back the list of extended properties not defined in this bean.
      Specified by:
        `getExtendedProperties` in interface `IExtendedResource`
      Returns:
        the extended properties, a map of properties where the key is the predicate qualified name and the value is the object of the statement

    - #### getTypes

          public Collection<URI> getTypes()

      Description copied from interface: `IExtendedResource`
      Gets the RDF types of this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.
      Specified by:
        `getTypes` in interface `IExtendedResource`
      Returns:
        the collection of types

    - #### setTypes

          public void setTypes(Collection<URI> type)

      Description copied from interface: `IExtendedResource`
      Sets the RDF types of this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.
      Specified by:
        `setTypes` in interface `IExtendedResource`
      Parameters:
        `type` - the collection of types

    - #### addType

          public void addType(URI type)

      Description copied from interface: `IExtendedResource`
      Adds an RDF type to this resource. These types will be added to the serialization of the resource in addition to the `OslcResourceShape.describes()` annotation.
      Specified by:
        `addType` in interface `IExtendedResource`
      Parameters:
        `type` - the type URI

Copyright © 2016. All rights reserved.